FrenchAnalyzer (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.fr.FrenchAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.fr
Class FrenchAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.StopwordAnalyzerBase
                  org.apache.lucene.analysis.fr.FrenchAnalyzer

All Implemented Interfaces:
  Closeable

    public final class FrenchAnalyzer

extends StopwordAnalyzerBase

`Analyzer` for French language.

Supports an external list of stopwords (words that will not be indexed at all) and an external list of exclusions (word that will not be stemmed, but indexed). A default set of stopwords is used unless an alternative list is specified, but the exclusion list is empty by default.

You must specify the required `Version` compatibility when creating FrenchAnalyzer:

- As of 3.6, FrenchLightStemFilter is used for less aggressive stemming.
- As of 3.1, Snowball stemming is done with SnowballFilter, LowerCaseFilter is used prior to StopFilter, and ElisionFilter and Snowball stopwords are used by default.
- As of 2.9, StopFilter preserves position increments

NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`ReusableAnalyzerBase.TokenStreamComponents`

Field Summary
`static String` | `DEFAULT_STOPWORD_FILE` File containing default French stopwords.
`static String[]` | `FRENCH_STOP_WORDS` Deprecated. use `getDefaultStopSet()` instead

Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`FrenchAnalyzer(Version matchVersion)` Builds an analyzer with the default stop words (`getDefaultStopSet()`).
`FrenchAnalyzer(Version matchVersion, File stopwords)` Deprecated. use `FrenchAnalyzer(Version, Set)` instead
`FrenchAnalyzer(Version matchVersion, Set<?> stopwords)` Builds an analyzer with the given stop words
`FrenchAnalyzer(Version matchVersion, Set<?> stopwords, Set<?> stemExclutionSet)` Builds an analyzer with the given stop words
`FrenchAnalyzer(Version matchVersion, String... stopwords)` Deprecated. use `FrenchAnalyzer(Version, Set)` instead

Method Summary
`protected ReusableAnalyzerBase.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static Set<?>` | `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.
`void` | `setStemExclusionTable(File exclusionlist)` Deprecated. use `FrenchAnalyzer(Version, Set, Set)` instead
`void` | `setStemExclusionTable(Map<?,?> exclusionlist)` Deprecated. use `FrenchAnalyzer(Version, Set, Set)` instead
`void` | `setStemExclusionTable(String... exclusionlist)` Deprecated. use `FrenchAnalyzer(Version, Set, Set)` instead

Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRENCH_STOP_WORDS

    @Deprecated
    public static final String[] FRENCH_STOP_WORDS

  Deprecated. use `getDefaultStopSet()` instead
  Extended list of typical French stopwords.

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default French stopwords.

  See Also:
    Constant Field Values

Constructor Detail

### FrenchAnalyzer

    public FrenchAnalyzer(Version matchVersion)

  Builds an analyzer with the default stop words (`getDefaultStopSet()`).

### FrenchAnalyzer

    public FrenchAnalyzer(Version matchVersion,
                          Set<?> stopwords)

  Builds an analyzer with the given stop words

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set

### FrenchAnalyzer

    public FrenchAnalyzer(Version matchVersion,
                          Set<?> stopwords,
                          Set<?> stemExclutionSet)

  Builds an analyzer with the given stop words

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set
    `stemExclutionSet` - a stemming exclusion set

### FrenchAnalyzer

    @Deprecated
    public FrenchAnalyzer(Version matchVersion,
                                     String... stopwords)

  Deprecated. use `FrenchAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words.

### FrenchAnalyzer

    @Deprecated
    public FrenchAnalyzer(Version matchVersion,
                                     File stopwords)
                   throws IOException

  Deprecated. use `FrenchAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words.

  Throws:
    `IOException`

Method Detail

### getDefaultStopSet

    public static Set<?> getDefaultStopSet()

  Returns an unmodifiable instance of the default stop-words set.

  Returns:
    an unmodifiable instance of the default stop-words set.

### setStemExclusionTable

    @Deprecated
    public void setStemExclusionTable(String... exclusionlist)

  Deprecated. use `FrenchAnalyzer(Version, Set, Set)` instead

  Builds an exclusionlist from an array of Strings.

### setStemExclusionTable

    @Deprecated
    public void setStemExclusionTable(Map<?,?> exclusionlist)

  Deprecated. use `FrenchAnalyzer(Version, Set, Set)` instead

  Builds an exclusionlist from a Map.

### setStemExclusionTable

    @Deprecated
    public void setStemExclusionTable(File exclusionlist)
                               throws IOException

  Deprecated. use `FrenchAnalyzer(Version, Set, Set)` instead

  Builds an exclusionlist from the words contained in the given file.

  Throws:
    `IOException`

### createComponents

    protected ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                          Reader reader)

  Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `ReusableAnalyzerBase`
  Parameters:
    `fieldName` - the name of the fields content passed to the `ReusableAnalyzerBase.TokenStreamComponents` sink as a reader
    `reader` - the reader passed to the `Tokenizer` constructor
  Returns:
    `ReusableAnalyzerBase.TokenStreamComponents` built from a `StandardTokenizer` filtered with `StandardFilter`, `ElisionFilter`, `LowerCaseFilter`, `StopFilter`, `KeywordMarkerFilter` if a stem exclusion set is provided, and `FrenchLightStemFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD